Loading...
Searching...
No Matches
FunctionDAG.h File Reference
`#include <algorithm>`
`#include <cstdint>`
`#include <map>`
`#include <string>`
`#include <utility>`
`#include <vector>`
`#include "Featurization.h"`
`#include "HalidePlugin.h"`

Go to the source code of this file.

## Classes

struct | Halide::Internal::Autoscheduler::OptionalRational
class | Halide::Internal::Autoscheduler::LoadJacobian
class | Halide::Internal::Autoscheduler::Span
struct | Halide::Internal::Autoscheduler::BoundContents
class | Halide::Internal::Autoscheduler::BoundContents::Layout
struct | Halide::Internal::Autoscheduler::FunctionDAG
struct | Halide::Internal::Autoscheduler::FunctionDAG::SymbolicInterval
struct | Halide::Internal::Autoscheduler::FunctionDAG::Node
struct | Halide::Internal::Autoscheduler::FunctionDAG::Node::RegionComputedInfo
struct | Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop
struct | Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage
struct | Halide::Internal::Autoscheduler::FunctionDAG::Edge
struct | Halide::Internal::Autoscheduler::FunctionDAG::Edge::BoundInfo
class | Halide::Internal::Autoscheduler::map< K, T >
| STL class. More...
class | Halide::Internal::Autoscheduler::pair< T1, T2 >
| STL class. More...
class | Halide::Internal::Autoscheduler::string
| STL class. More...
class | Halide::Internal::Autoscheduler::unique_ptr< T >
| STL class. More...
class | Halide::Internal::Autoscheduler::vector< T >
| STL class. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal
namespace | Halide::Internal::Autoscheduler

## Typedefs

using | Halide::Internal::Autoscheduler::Bound = IntrusivePtr<const BoundContents>